Bug 138142 - [UI] [MIME] Handling links to PDF files does not offer appropriate choice
[UI] [MIME] Handling links to PDF files does not offer appropriate choice
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-11-04 17:17 EST by Daniel Reed
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-04 19:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Reed 2004-11-04 17:17:04 EST
Description of problem:
Go to a web page that links to a .pdf file.
Click on the link.

The behavior seen seems to be somewhat unexpectable.

On my system, the .pdf file opens inside the browser window. This appears to be
handled by "xpdf", which is not installed in the Desktop profile (I am using
Everything). I am not asked which viewer I would like to use (I have 6 PDF
viewers installed), and there does not appear to be any way to tell Firefox to
use a non-default viewer to view the target of a link.

On Heather Brodeur's system, which is an unmodified installation of the Desktop
profile (without xpdf installed), Firefox pops up a dialog box and asks what
external viewer she would like to use. By right clicking on a .pdf on her
desktop, she is presented with GGV and gpdf (as PostScript Viewer and PDF
Viewer). In Firefox, however, the dialog only lists GGV and Other, and selecting
Other opens a File Open dialog in her Desktop directory (with no immediate place
to type "gpdf"). Heather would prefer the easy option of choosing gpdf to view
PDF files, even if it is not the default.

Version-Release number of selected component (if applicable):
Comment 1 Christopher Aillon 2004-12-04 04:53:04 EST
I think this may have gotten fixed a while ago.  Can you verify?
Comment 2 Heather Brodeur 2004-12-06 10:33:18 EST
The behavior on my system has not changed.  I am still only offered one option
by Firefox.
Comment 3 Bryan W Clark 2005-03-28 13:01:35 EST
just changing the status of this back
Comment 4 Kyrre Ness Sjøbæk 2005-04-30 07:52:00 EDT
Similar problem with me on FC2 and 3 - i have firefox, and acroread. Acroread is
the standard pdf viewer in the rest of my desktop.

Still, firefox doesn't get it, and does not even display acroread as a possible
choice, before i go through the file three and tell it to use
/usr/local/Adobe/bin/acroread (or something like that).

Doesn't firefox respect the standard file/program definitions for for the rest
of the desktop?
Comment 5 Christopher Aillon 2005-05-04 18:08:22 EDT
I think this got fixed as a result of the fix for bug 151754.  Can someone check
in firefox >= 1.0.3-4 and resolve rawhide if so?  Available at
http://people.redhat.com/caillon/RPMS/rawhide/mozilla.org/ and in tomorrow's
rawhide compose.
Comment 6 Rahul Sundaram 2005-09-04 19:12:44 EDT
I cannot reproduce this as of today's rawhide. Closing this. Kindly reopen if
this still doesnt work for you

Note You need to log in before you can comment on or make changes to this bug.